import jp.digitalmuseum.mr.andy.MrImage;
import jp.digitalmuseum.mr.andy.Position;
import jp.digitalmuseum.mr.hakoniwa.Hakoniwa;
import jp.digitalmuseum.mr.hakoniwa.HakoniwaRobot;

Hakoniwa hako;
MrImage hakoImage;
MobileRobot robot;

void setup() 
{
  // 箱庭の準備
  hako = new Hakoniwa(640, 480);
  hako.start();

  // 箱庭を表示する準備
  hakoImage = new MrImage(hako);

  // 箱庭にロボットを置く
  robot = new MobileRobot(new HakoniwaRobot("Test bot"));

  // 画面の大きさを箱庭に合わせる
  size(hako.getWidth(), hako.getHeight());
}

void draw() 
{
  // 箱庭の様子を表示する
  background(255);
  image(hakoImage, 0, 0);

  // ロボットが目指しているゴールを表示する
  Position goal = robot.getGoal();
  if (goal != null) {
    strokeWeight(5);
    stroke(0);
    int x = goal.getScreenX();
    int y = goal.getScreenY();
    line(x-5, y-5, x+5, y+5);
    line(x-5, y+5, x+5, y-5);
  }
}

void mouseReleased() {
  // クリックされたらロボットにゴールを指示する
  robot.moveTo(mouseX, mouseY);
}

